Get a list of all Groups
curl --request GET \
--url https://fulfillment.noyo.com/api/v1/groups \
--header 'Authorization: Bearer <token>'import requests
url = "https://fulfillment.noyo.com/api/v1/groups"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://fulfillment.noyo.com/api/v1/groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"offset": 0,
"page_num": 1,
"page_size": 20,
"total_records": 1
},
"response": [
{
"created": 1557512389,
"dba_name": "Test Corp",
"federal_ein": "112222222",
"id": "2613a221-d3c8-4c8a-86d5-e7e885fd1da9",
"modified": 1543215342,
"name": "Test Company",
"organization_id": "d61fa455-adf4-4dc4-8c57-6d779ba9475e",
"sic_code": "7371",
"version": "6b72d72d-cc99-4df6-8152-7183e824c80c"
}
]
}Groups
List Groups
Get a list of all groups
GET
/
api
/
v1
/
groups
Get a list of all Groups
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The max size of each page of results
The integer offset at which to start the page. Possible values are 0 to total_records - 1
This query param searches groups by name or dba_name values
Comma-separated list of requested UUID group IDs
Used for filtering for a carrier-specific group ID. Filter by the Noyo carrier ID. Must be used with carrier_group_id
Used for filtering for a carrier-specific group ID. Must be used with carrier_id
Was this page helpful?
